/**********  MyScratchSpace.io  ***********/

/* Written on:		2019-12-01              */
/* Updated on:		2019-12-31 @ 1955       */
/* Tested on:                             */

function stopVideo(video) {
    video.pause();
    video.currentTime = 0;
}

function stopVideoHandler(evt) {
    var closeLink = evt.target;
    var video = closeLink.parentNode.querySelector("video");
    stopVideo(video);
}

function addCloseHandler(closeLink) {
    closeLink.addEventListener("click", stopVideoHandler);
}

var closeLinks = document.querySelectorAll(".closeWindow");
closeLinks.forEach(addCloseHandler);
